Index: client_app/src/components/data/components/company_internships.js
===================================================================
--- client_app/src/components/data/components/company_internships.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ client_app/src/components/data/components/company_internships.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Internships from "./item_components/internship_component";
+
+
+const CompanyInternships = (props) =>{
+    if(props.userProfile.type==="COMPANY"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/internships/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.internships.map(item =>{
+                        return <Internships
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsTrained}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default CompanyInternships;
Index: client_app/src/components/data/components/profiles/company_profile.js
===================================================================
--- client_app/src/components/data/components/profiles/company_profile.js	(revision 96eb8bc9fc2447831fb7c4209fb195bf752d779c)
+++ client_app/src/components/data/components/profiles/company_profile.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
@@ -10,5 +10,5 @@
             <h2>E-mail: {props.data.email}</h2>
             <h3>Address: {props.data.address.country} {props.data.address.city} {props.data.address.street}</h3>
-            <Button primary as={Link} to={"/company/edit"}>Edit</Button>
+            <Button primary as={Link} to={"/profile/edit"}>Edit</Button>
         </Container>
     );
Index: client_app/src/components/data/components/profiles/team_profile.js
===================================================================
--- client_app/src/components/data/components/profiles/team_profile.js	(revision 96eb8bc9fc2447831fb7c4209fb195bf752d779c)
+++ client_app/src/components/data/components/profiles/team_profile.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
@@ -10,5 +10,5 @@
             <h2>E-mail: {props.data.email}</h2>
             <h3>Members: {props.data.members}</h3>
-            <Button primary as={Link} to={"/team/edit"}>Edit</Button>
+            <Button primary as={Link} to={"/profile/edit"}>Edit</Button>
         </Container>
     );
Index: client_app/src/components/data/components/team_jobs.js
===================================================================
--- client_app/src/components/data/components/team_jobs.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ client_app/src/components/data/components/team_jobs.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Jobs from '../components/item_components/job_component';
+
+
+const TeamJobs = (props) =>{
+    if(props.userProfile.type==="TEAM"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/job/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.jobs.map(item =>{
+                        return <Jobs
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default TeamJobs;
Index: client_app/src/components/data/components/team_projects.js
===================================================================
--- client_app/src/components/data/components/team_projects.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
+++ client_app/src/components/data/components/team_projects.js	(revision 48e4a3e61b385af8f67a19e115fab056fdf33677)
@@ -0,0 +1,34 @@
+import React from 'react';
+import {Link, Redirect} from 'react-router-dom';
+import { Container, Card, Button } from 'semantic-ui-react';
+import Projects from "./item_components/project_component";
+
+
+const TeamProjects = (props) =>{
+    if(props.userProfile.type==="TEAM"){
+        if(props.userProfile.email!=null){
+            return(
+                <Container textAlign="left">
+                    <Button as={Link} to={"/project/add"} primary>Add</Button>
+                    <h1>Registered Jobs:</h1>
+                    {props.userProfile.projects.map(item =>{
+                        return <Projects
+                            name={item.name}
+                            description={item.description}
+                            accountName={item.accountName}
+                            accountEmail={item.accountEmail}
+                            skills={item.skillsRequired}
+                            type={props.userProfile.type}
+                        />
+                    })}
+                </Container>
+            );
+        }
+    }
+
+    return (
+        <Redirect to={"/login"}/>
+    );
+}
+
+export default TeamProjects;
